:root{
    --bg-color: hsl(240, 78%, 98%);
    --light-grayish-blue: hsl(234, 14%, 74%);
    --grayish-blue: hsl(233, 13%, 49%);
    --dark-grayish-blue: hsl(232, 13%, 33%);
    --gradient: linear-gradient(to right, hsl(236, 72%, 79%), hsl(237, 63%, 64%));
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Montserrat", sans-serif;
    transition: 0.2s ease;
}

body{
    background-color: var(--bg-color);
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    position: relative;
    height: 100vh;
    width: 100%;
}

body > img{
    position: absolute;
    z-index: -1;
}

body > img:nth-child(1){
    top: 0;
    right: 0;
    
}

body > img:nth-child(2){
    left: 0;
    bottom: 0;
}

.head-container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    color: var(--grayish-blue);
}

.plan-selection{
    display: flex;
    align-items: center;
    gap: 25px;
    color: var(--light-grayish-blue);
}





/* -------- TOGGLE SWITCH -------- */
.switch {
    position: relative;
    display: inline-block;
    width: 55px;
    height: 28px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: var(--gradient);
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

.slider:hover{
    background-image: linear-gradient(hsl(236, 72%, 79%), hsl(236, 72%, 79%));
}

.slider:before {
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: 0.4s;
    transition: 0.2s;
}

input:checked + .slider {
    background-image: var(--gradient);
}

input:focus + .slider {
    box-shadow: 0 0 1px var(--gradient);
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

input:checked + .slider:hover {
    background-image: linear-gradient(hsl(236, 72%, 79%), hsl(236, 72%, 79%));
}

.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}


.card-container{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 65%;
    width: 75%;
}

.card{
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
    height: 100%;
    padding: 0 40px;
}

.card > h1{
    color: var(--dark-grayish-blue);
    font-size: 60px;
}

.card:nth-child(2) > h1{
    color: var(--bg-color);
}

.card > button{
    background: none;
    background-image: var(--gradient);
    width: 100%;
    padding: 12px 0;
    font-size: 12px;
    border: 1px solid;
    border-radius: 4px;
    color: white;
    cursor: pointer;
    letter-spacing: 1px;
}

.card > button:hover{
    background-image: none;
    background: transparent;
    border-color: var(--grayish-blue);
    color: hsl(237, 63%, 64%);
}

.card:nth-child(2)  > button{
    background-image: none;
    background-color: white;
    color: hsl(237, 63%, 64%);
}

.card:nth-child(2)  > button:hover{
    background-image: none;
    background: transparent;
    border-color: white;
    color: white;
}

.card:nth-child(1){
    background-color: white;
    height: 90%;
    color: var(--grayish-blue);
    border-radius: 10px 0 0 10px;
}

.card:nth-child(2){
    background-image: linear-gradient(135deg, hsl(236, 72%, 79%), hsl(237, 63%, 64%));
    border-radius: 10px;
    height: 100%;
    padding: 3vh 40px;
    color: white;
}

.card:nth-child(3){
    background-color: white;
    height: 90%;
    color: var(--grayish-blue);
    border-radius: 0 10px 10px 0;
}

.features{
    width: 100%;
    display: flex;
    flex-direction: column;
}

.features p{
    width: 100%;
    padding: 15px 0;
    text-align: center;
    font-size: 15px;
    border-top: 1px solid var(--light-grayish-blue);
}

.features p:last-child{
    border-bottom: 1px solid var(--light-grayish-blue);
}

@media(max-width: 760px){
    body{
        height: auto;
        gap: 40px;
        padding:  80px 0;
    }
    .card-container{
        flex-direction: column;
        gap: 30px;
    }

    .card {
        min-height: 450px;
        border-radius: 10px !important;
    }
}

